<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: SPI_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">SPI_T Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ga069fd6acdea1842f24bba35267ff3ea5"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">CTL</a></td></tr>
<tr class="separator:ga069fd6acdea1842f24bba35267ff3ea5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4afe2cb0c518f0dff54c05986b987f33"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4afe2cb0c518f0dff54c05986b987f33">STATUS</a></td></tr>
<tr class="separator:ga4afe2cb0c518f0dff54c05986b987f33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ea1e761f8c180884bc051c73db22e13"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga6ea1e761f8c180884bc051c73db22e13">CLKDIV</a></td></tr>
<tr class="separator:ga6ea1e761f8c180884bc051c73db22e13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacd5d65619694a5df1436bb9bc1f548d4"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gacd5d65619694a5df1436bb9bc1f548d4">SSR</a></td></tr>
<tr class="separator:gacd5d65619694a5df1436bb9bc1f548d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c47737acb74f2f2d9349a981d095b57"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7c47737acb74f2f2d9349a981d095b57">RX0</a></td></tr>
<tr class="separator:ga7c47737acb74f2f2d9349a981d095b57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga62ec07fe66de05dbcb70bcce2a1f3272"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga62ec07fe66de05dbcb70bcce2a1f3272">RX1</a></td></tr>
<tr class="separator:ga62ec07fe66de05dbcb70bcce2a1f3272"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9bf28b6d289035f03cbe294af78b345b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9bf28b6d289035f03cbe294af78b345b">RESERVE0</a> [2]</td></tr>
<tr class="separator:ga9bf28b6d289035f03cbe294af78b345b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2e6b1c45e89186b0b38d4d5a03dfa063"><td class="memItemLeft" align="right" valign="top">__O uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2e6b1c45e89186b0b38d4d5a03dfa063">TX0</a></td></tr>
<tr class="separator:ga2e6b1c45e89186b0b38d4d5a03dfa063"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga390d2928ba639001d0282683b53ceaf3"><td class="memItemLeft" align="right" valign="top">__O uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga390d2928ba639001d0282683b53ceaf3">TX1</a></td></tr>
<tr class="separator:ga390d2928ba639001d0282683b53ceaf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ff3af89b804bed7e4c2d7805fec32e4"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0ff3af89b804bed7e4c2d7805fec32e4">RESERVE1</a> [3]</td></tr>
<tr class="separator:ga0ff3af89b804bed7e4c2d7805fec32e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga762fced4160de55295b4d0854f24f66d"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga762fced4160de55295b4d0854f24f66d">VARCLK</a></td></tr>
<tr class="separator:ga762fced4160de55295b4d0854f24f66d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf7a436021c5a67252e0ae2e95d9ef9e4"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf7a436021c5a67252e0ae2e95d9ef9e4">DMA</a></td></tr>
<tr class="separator:gaf7a436021c5a67252e0ae2e95d9ef9e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a></td></tr>
<tr class="separator:ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga267f2a01680881b9bb723e72a022af70"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga267f2a01680881b9bb723e72a022af70">RESERVE2</a> [4]</td></tr>
<tr class="separator:ga267f2a01680881b9bb723e72a022af70"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup SPI Serial Peripheral Interface Controller(SPI)
Memory Mapped Structure for SPI Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l08460">8460</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
